class Reposync::DeleteRepoService < Reposync::ClientService

  attr_accessor :repo_name

  def initialize(repo_name)
    @repo_name = repo_name
  end

  def call 
    result = delete(url)
    response = render_response(result)
  end

  private
  def url 
    "/cerobot/sync/repo/#{repo_name}"
  end
end